Reset the locale after tests that may change it
[rails.git] / Gemfile.lock
index cdbc9888de9486e1648da1820cc46519e5668cc3..7de1743dcef714eba8a6289d23d598c0ab799db7 100644 (file)
@@ -2,37 +2,50 @@ GEM
   remote: https://rubygems.org/
   specs:
     SystemTimer (1.2.3)
   remote: https://rubygems.org/
   specs:
     SystemTimer (1.2.3)
-    actionmailer (4.1.8)
-      actionpack (= 4.1.8)
-      actionview (= 4.1.8)
+    actionmailer (4.2.0)
+      actionpack (= 4.2.0)
+      actionview (= 4.2.0)
+      activejob (= 4.2.0)
       mail (~> 2.5, >= 2.5.4)
       mail (~> 2.5, >= 2.5.4)
-    actionpack (4.1.8)
-      actionview (= 4.1.8)
-      activesupport (= 4.1.8)
-      rack (~> 1.5.2)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+    actionpack (4.2.0)
+      actionview (= 4.2.0)
+      activesupport (= 4.2.0)
+      rack (~> 1.6.0)
       rack-test (~> 0.6.2)
       rack-test (~> 0.6.2)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+      rails-html-sanitizer (~> 1.0, >= 1.0.1)
     actionpack-page_caching (1.0.2)
       actionpack (>= 4.0.0, < 5)
     actionpack-page_caching (1.0.2)
       actionpack (>= 4.0.0, < 5)
-    actionview (4.1.8)
-      activesupport (= 4.1.8)
+    actionview (4.2.0)
+      activesupport (= 4.2.0)
       builder (~> 3.1)
       erubis (~> 2.7.0)
       builder (~> 3.1)
       erubis (~> 2.7.0)
-    activemodel (4.1.8)
-      activesupport (= 4.1.8)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+      rails-html-sanitizer (~> 1.0, >= 1.0.1)
+    activejob (4.2.0)
+      activesupport (= 4.2.0)
+      globalid (>= 0.3.0)
+    activemodel (4.2.0)
+      activesupport (= 4.2.0)
       builder (~> 3.1)
       builder (~> 3.1)
-    activerecord (4.1.8)
-      activemodel (= 4.1.8)
-      activesupport (= 4.1.8)
-      arel (~> 5.0.0)
-    activesupport (4.1.8)
-      i18n (~> 0.6, >= 0.6.9)
+    activerecord (4.2.0)
+      activemodel (= 4.2.0)
+      activesupport (= 4.2.0)
+      arel (~> 6.0)
+    activesupport (4.2.0)
+      i18n (~> 0.7)
       json (~> 1.7, >= 1.7.7)
       minitest (~> 5.1)
       json (~> 1.7, >= 1.7.7)
       minitest (~> 5.1)
-      thread_safe (~> 0.1)
+      thread_safe (~> 0.3, >= 0.3.4)
       tzinfo (~> 1.1)
       tzinfo (~> 1.1)
-    arel (5.0.1.20140414130214)
-    autoprefixer-rails (4.0.0.1)
+    arel (6.0.0)
+    ast (2.0.0)
+    astrolabe (1.3.0)
+      parser (>= 2.2.0.pre.3, < 3.0)
+    autoprefixer-rails (5.1.7)
       execjs
       execjs
+      json
     bigdecimal (1.1.0)
     builder (3.2.2)
     capybara (2.4.4)
     bigdecimal (1.1.0)
     builder (3.2.2)
     capybara (2.4.4)
@@ -44,61 +57,79 @@ GEM
     climate_control (0.0.3)
       activesupport (>= 3.0)
     cliver (0.3.2)
     climate_control (0.0.3)
       activesupport (>= 3.0)
     cliver (0.3.2)
-    cocaine (0.5.4)
+    cocaine (0.5.5)
       climate_control (>= 0.0.3, < 1.0)
       climate_control (>= 0.0.3, < 1.0)
-    coffee-rails (4.0.1)
+    coffee-rails (4.1.0)
       coffee-script (>= 2.2.0)
       railties (>= 4.0.0, < 5.0)
     coffee-script (2.3.0)
       coffee-script-source
       execjs
       coffee-script (>= 2.2.0)
       railties (>= 4.0.0, < 5.0)
     coffee-script (2.3.0)
       coffee-script-source
       execjs
-    coffee-script-source (1.8.0)
-    colorize (0.7.3)
-    composite_primary_keys (7.0.12)
-      activerecord (~> 4.1.7)
-    crass (0.2.1)
+    coffee-script-source (1.9.1)
+    colorize (0.7.5)
+    composite_primary_keys (8.0.0)
+      activerecord (~> 4.2.0)
+    coveralls (0.7.11)
+      multi_json (~> 1.10)
+      rest-client (>= 1.6.8, < 2)
+      simplecov (~> 0.9.1)
+      term-ansicolor (~> 1.3)
+      thor (~> 0.19.1)
+    crass (1.0.1)
     dalli (2.7.2)
     deadlock_retry (1.2.0)
     dalli (2.7.2)
     deadlock_retry (1.2.0)
+    docile (1.1.5)
     dynamic_form (1.1.4)
     erubis (2.7.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
-    execjs (2.2.2)
-    faraday (0.9.0)
+    execjs (2.3.0)
+    faraday (0.9.1)
       multipart-post (>= 1.2, < 3)
       multipart-post (>= 1.2, < 3)
+    globalid (0.3.3)
+      activesupport (>= 4.1.0)
+    hashie (3.4.0)
     hike (1.2.3)
     hike (1.2.3)
-    htmlentities (4.3.2)
-    http_accept_language (2.0.2)
-    httpclient (2.5.3.3)
-    i18n (0.6.11)
-    iconv (0.1)
-    jquery-rails (3.1.2)
-      railties (>= 3.0, < 5.0)
+    htmlentities (4.3.3)
+    http_accept_language (2.0.5)
+    httpclient (2.6.0.1)
+    i18n (0.7.0)
+    jquery-rails (4.0.3)
+      rails-dom-testing (~> 1.0)
+      railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
       thor (>= 0.14, < 2.0)
-    json (1.8.1)
+    jshint (1.3.1)
+      execjs (>= 1.4.0)
+      multi_json (~> 1.0)
+      therubyracer (~> 0.12.1)
+    json (1.8.2)
     jsonify (0.3.1)
       multi_json (~> 1.0)
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
     jsonify (0.3.1)
       multi_json (~> 1.0)
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (1.0.0)
-    kgio (2.9.2)
+    jwt (1.3.0)
+    kgio (2.9.3)
     konacha (3.3.0)
       actionpack (>= 3.1, < 5)
       capybara
       colorize
       railties (>= 3.1, < 5)
       sprockets
     konacha (3.3.0)
       actionpack (>= 3.1, < 5)
       capybara
       colorize
       railties (>= 3.1, < 5)
       sprockets
-    libxml-ruby (2.7.0)
+    libv8 (3.16.14.7)
+    libxml-ruby (2.8.0)
+    loofah (2.0.1)
+      nokogiri (>= 1.5.9)
     mail (2.6.3)
       mime-types (>= 1.16, < 3)
     mime-types (2.4.3)
     mail (2.6.3)
       mime-types (>= 1.16, < 3)
     mime-types (2.4.3)
-    mini_portile (0.6.1)
-    minitest (5.4.3)
+    mini_portile (0.6.2)
+    minitest (5.5.1)
     multi_json (1.10.1)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
     multi_json (1.10.1)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
-    nokogiri (1.6.4.1)
+    netrc (0.10.3)
+    nokogiri (1.6.6.2)
       mini_portile (~> 0.6.0)
       mini_portile (~> 0.6.0)
-    nokogumbo (1.1.12)
+    nokogumbo (1.2.0)
       nokogiri
     oauth (0.4.7)
     oauth-plugin (0.5.1)
       nokogiri
     oauth (0.4.7)
     oauth-plugin (0.5.1)
@@ -112,85 +143,127 @@ GEM
       multi_json (~> 1.3)
       multi_xml (~> 0.5)
       rack (~> 1.2)
       multi_json (~> 1.3)
       multi_xml (~> 0.5)
       rack (~> 1.2)
-    open_id_authentication (1.2.0)
-      rack-openid (~> 1.3)
+    omniauth (1.2.2)
+      hashie (>= 1.2, < 4)
+      rack (~> 1.0)
+    omniauth-openid (1.0.1)
+      omniauth (~> 1.0)
+      rack-openid (~> 1.3.1)
     openstreetmap-i18n-js (3.0.0.rc5.3)
       i18n
     openstreetmap-i18n-js (3.0.0.rc5.3)
       i18n
-    paperclip (4.2.0)
+    paperclip (4.2.1)
       activemodel (>= 3.0.0)
       activesupport (>= 3.0.0)
       cocaine (~> 0.5.3)
       mime-types
       activemodel (>= 3.0.0)
       activesupport (>= 3.0.0)
       cocaine (~> 0.5.3)
       mime-types
-    pg (0.17.1)
-    poltergeist (1.5.1)
+    parser (2.2.0.3)
+      ast (>= 1.1, < 3.0)
+    pg (0.18.1)
+    poltergeist (1.6.0)
       capybara (~> 2.1)
       cliver (~> 0.3.1)
       multi_json (~> 1.0)
       websocket-driver (>= 0.2.0)
       capybara (~> 2.1)
       cliver (~> 0.3.1)
       multi_json (~> 1.0)
       websocket-driver (>= 0.2.0)
-    psych (2.0.6)
+    powerpack (0.1.0)
+    psych (2.0.13)
     r2 (0.2.5)
     r2 (0.2.5)
-    rack (1.5.2)
-    rack-cors (0.2.9)
-    rack-openid (1.4.2)
+    rack (1.6.0)
+    rack-cors (0.3.1)
+    rack-openid (1.3.1)
       rack (>= 1.1.0)
       ruby-openid (>= 2.1.8)
       rack (>= 1.1.0)
       ruby-openid (>= 2.1.8)
-    rack-test (0.6.2)
+    rack-test (0.6.3)
       rack (>= 1.0)
       rack (>= 1.0)
-    rails (4.1.8)
-      actionmailer (= 4.1.8)
-      actionpack (= 4.1.8)
-      actionview (= 4.1.8)
-      activemodel (= 4.1.8)
-      activerecord (= 4.1.8)
-      activesupport (= 4.1.8)
+    rails (4.2.0)
+      actionmailer (= 4.2.0)
+      actionpack (= 4.2.0)
+      actionview (= 4.2.0)
+      activejob (= 4.2.0)
+      activemodel (= 4.2.0)
+      activerecord (= 4.2.0)
+      activesupport (= 4.2.0)
       bundler (>= 1.3.0, < 2.0)
       bundler (>= 1.3.0, < 2.0)
-      railties (= 4.1.8)
-      sprockets-rails (~> 2.0)
-    rails-i18n (4.0.3)
+      railties (= 4.2.0)
+      sprockets-rails
+    rails-deprecated_sanitizer (1.0.3)
+      activesupport (>= 4.2.0.alpha)
+    rails-dom-testing (1.0.5)
+      activesupport (>= 4.2.0.beta, < 5.0)
+      nokogiri (~> 1.6.0)
+      rails-deprecated_sanitizer (>= 1.0.1)
+    rails-html-sanitizer (1.0.1)
+      loofah (~> 2.0)
+    rails-i18n (4.0.4)
       i18n (~> 0.6)
       railties (~> 4.0)
       i18n (~> 0.6)
       railties (~> 4.0)
-    railties (4.1.8)
-      actionpack (= 4.1.8)
-      activesupport (= 4.1.8)
+    railties (4.2.0)
+      actionpack (= 4.2.0)
+      activesupport (= 4.2.0)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
-    rake (10.3.2)
-    redcarpet (3.2.0)
+    rainbow (2.0.0)
+    rake (10.4.2)
+    redcarpet (3.2.2)
+    ref (1.0.5)
+    rest-client (1.7.3)
+      mime-types (>= 1.16, < 3.0)
+      netrc (~> 0.7)
     rinku (1.7.3)
     rinku (1.7.3)
+    rubocop (0.29.1)
+      astrolabe (~> 1.3)
+      parser (>= 2.2.0.1, < 3.0)
+      powerpack (~> 0.1)
+      rainbow (>= 1.99.1, < 3.0)
+      ruby-progressbar (~> 1.4)
     ruby-openid (2.6.0)
     ruby-openid (2.6.0)
-    sanitize (3.0.3)
-      crass (~> 0.2.0)
+    ruby-progressbar (1.7.1)
+    sanitize (3.1.2)
+      crass (~> 1.0.1)
       nokogiri (>= 1.4.4)
       nokogiri (>= 1.4.4)
-      nokogumbo (= 1.1.12)
-    sass (3.2.19)
-    sass-rails (4.0.4)
+      nokogumbo (= 1.2.0)
+    sass (3.4.13)
+    sass-rails (5.0.1)
       railties (>= 4.0.0, < 5.0)
       railties (>= 4.0.0, < 5.0)
-      sass (~> 3.2.2)
-      sprockets (~> 2.8, < 2.12)
-      sprockets-rails (~> 2.0)
+      sass (~> 3.1)
+      sprockets (>= 2.8, < 4.0)
+      sprockets-rails (>= 2.0, < 4.0)
+      tilt (~> 1.1)
+    simplecov (0.9.2)
+      docile (~> 1.1.0)
+      multi_json (~> 1.0)
+      simplecov-html (~> 0.9.0)
+    simplecov-html (0.9.0)
     soap4r-ruby1.9 (2.0.5)
     soap4r-ruby1.9 (2.0.5)
-    sprockets (2.11.3)
+    sprockets (2.12.3)
       hike (~> 1.2)
       multi_json (~> 1.0)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
       hike (~> 1.2)
       multi_json (~> 1.0)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
-    sprockets-rails (2.2.0)
+    sprockets-rails (2.2.4)
       actionpack (>= 3.0)
       activesupport (>= 3.0)
       sprockets (>= 2.8, < 4.0)
       actionpack (>= 3.0)
       activesupport (>= 3.0)
       sprockets (>= 2.8, < 4.0)
+    term-ansicolor (1.3.0)
+      tins (~> 1.0)
+    therubyracer (0.12.1)
+      libv8 (~> 3.16.14.0)
+      ref
     thor (0.19.1)
     thread_safe (0.3.4)
     tilt (1.4.1)
     thor (0.19.1)
     thread_safe (0.3.4)
     tilt (1.4.1)
-    timecop (0.7.1)
+    timecop (0.7.3)
+    tins (1.3.4)
     tzinfo (1.2.2)
       thread_safe (~> 0.1)
     tzinfo (1.2.2)
       thread_safe (~> 0.1)
-    uglifier (2.5.3)
+    uglifier (2.7.1)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
-    validates_email_format_of (1.6.1)
+    validates_email_format_of (1.6.2)
       i18n
     vendorer (0.1.16)
       i18n
     vendorer (0.1.16)
-    websocket-driver (0.4.0)
+    websocket-driver (0.5.3)
+      websocket-extensions (>= 0.1.0)
+    websocket-extensions (0.1.2)
     xpath (2.0.0)
       nokogiri (~> 1.3)
 
     xpath (2.0.0)
       nokogiri (~> 1.3)
 
@@ -202,16 +275,18 @@ DEPENDENCIES
   actionpack-page_caching
   autoprefixer-rails
   bigdecimal (~> 1.1.0)
   actionpack-page_caching
   autoprefixer-rails
   bigdecimal (~> 1.1.0)
-  coffee-rails (~> 4.0.0)
-  composite_primary_keys (~> 7.0.11)
+  coffee-rails (~> 4.1.0)
+  composite_primary_keys (~> 8.0.0)
+  coveralls
   dalli
   deadlock_retry (>= 1.2.0)
   dynamic_form
   dalli
   deadlock_retry (>= 1.2.0)
   dynamic_form
+  faraday
   htmlentities
   http_accept_language (~> 2.0.0)
   httpclient
   htmlentities
   http_accept_language (~> 2.0.0)
   httpclient
-  iconv (= 0.1)
   jquery-rails
   jquery-rails
+  jshint
   json
   jsonify-rails
   kgio
   json
   jsonify-rails
   kgio
@@ -219,7 +294,8 @@ DEPENDENCIES
   libxml-ruby (>= 2.0.5)
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
   libxml-ruby (>= 2.0.5)
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
-  open_id_authentication (>= 1.1.0)
+  omniauth
+  omniauth-openid
   openstreetmap-i18n-js (>= 3.0.0.rc5.3)
   paperclip (~> 4.0)
   pg
   openstreetmap-i18n-js (>= 3.0.0.rc5.3)
   paperclip (~> 4.0)
   pg
@@ -227,13 +303,13 @@ DEPENDENCIES
   psych
   r2
   rack-cors
   psych
   r2
   rack-cors
-  rails (= 4.1.8)
+  rails (= 4.2.0)
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)
-  ruby-openid (>= 2.2.0)
+  rubocop
   sanitize
   sanitize
-  sass-rails (~> 4.0.3)
+  sass-rails (~> 5.0)
   soap4r-ruby1.9
   timecop
   uglifier (>= 1.3.0)
   soap4r-ruby1.9
   timecop
   uglifier (>= 1.3.0)